# CbcFixingBranchingObject Class Reference

General Branching Object class. More...

`#include <CbcFollowOn.hpp>`

Inheritance diagram for CbcFixingBranchingObject:
[legend]
Collaboration diagram for CbcFixingBranchingObject:
[legend]

List of all members.

## Public Member Functions
| CbcFixingBranchingObject ()
| CbcFixingBranchingObject (CbcModel *model, int way, int numberOnDownSide, const int *down, int numberOnUpSide, const int *up)
| CbcFixingBranchingObject (const CbcFixingBranchingObject &)
CbcFixingBranchingObject & | operator= (const CbcFixingBranchingObject &rhs)
| Assignment operator.
virtual CbcBranchingObject * | clone () const
| Clone.
virtual | ~CbcFixingBranchingObject ()
virtual double | branch ()
| Does next branch and updates state.
virtual void | print ()
| Print something about branch - only if log level high.
virtual CbcBranchObjType | type () const
| Return the type (an integer identifier) of `this`.
virtual int | compareOriginalObject (const CbcBranchingObject *brObj) const
| Compare the original object of `this` with the original object of `brObj`.
virtual CbcRangeCompare | compareBranchingObject (const CbcBranchingObject *brObj, const bool replaceIfOverlap=false)
| Compare the `this` with `brObj`.
## Private Attributes
int | numberDown_
| data Number on down list
int | numberUp_
| Number on up list.
int * | downList_
| downList - variables to fix to lb on down branch
int * | upList_
| upList - variables to fix to lb on up branch

## Detailed Description

General Branching Object class.

Each way fixes some variables to lower bound

Definition at line 72 of file CbcFollowOn.hpp.

## Constructor & Destructor Documentation

CbcFixingBranchingObject::CbcFixingBranchingObject | ( |  | ) |

CbcFixingBranchingObject::CbcFixingBranchingObject | ( | CbcModel * | model,
|  | int | way,
|  | int | numberOnDownSide,
|  | const int * | down,
|  | int | numberOnUpSide,
|  | const int * | up |
| ) |  |  |

CbcFixingBranchingObject::CbcFixingBranchingObject | ( | const CbcFixingBranchingObject & |  | ) |

virtual CbcFixingBranchingObject::~CbcFixingBranchingObject | ( |  | ) | `[virtual]`

## Member Function Documentation

CbcFixingBranchingObject& CbcFixingBranchingObject::operator= | ( | const CbcFixingBranchingObject & | rhs | ) |

Assignment operator.

Reimplemented from CbcBranchingObject.

virtual CbcBranchingObject* CbcFixingBranchingObject::clone | ( |  | ) | const`[virtual]`

Clone.

Implements CbcBranchingObject.

virtual double CbcFixingBranchingObject::branch | ( |  | ) | `[virtual]`

Does next branch and updates state.

Implements CbcBranchingObject.

virtual void CbcFixingBranchingObject::print | ( |  | ) | `[virtual]`

Print something about branch - only if log level high.

virtual CbcBranchObjType CbcFixingBranchingObject::type | ( |  | ) | const`[inline, virtual]`

Return the type (an integer identifier) of `this`.

Implements CbcBranchingObject.

Definition at line 115 of file CbcFollowOn.hpp.

virtual int CbcFixingBranchingObject::compareOriginalObject | ( | const CbcBranchingObject * | brObj | ) | const`[virtual]`

Compare the original object of `this` with the original object of `brObj`.

Assumes that there is an ordering of the original objects. This method should be invoked only if `this` and brObj are of the same type. Return negative/0/positive depending on whether `this` is smaller/same/larger than the argument.

virtual CbcRangeCompare CbcFixingBranchingObject::compareBranchingObject | ( | const CbcBranchingObject * | brObj,
|  | const bool | replaceIfOverlap = `false` |
| ) |  |  | `[virtual]`

Compare the `this` with `brObj`.

`this` and `brObj` must be os the same type and must have the same original object, but they may have different feasible regions. Return the appropriate CbcRangeCompare value (first argument being the sub/superset if that's the case). In case of overlap (and if `replaceIfOverlap` is true) replace the current branching object with one whose feasible region is the overlap.

## Member Data Documentation

int CbcFixingBranchingObject::numberDown_`[private]`

data Number on down list

Definition at line 142 of file CbcFollowOn.hpp.

int CbcFixingBranchingObject::numberUp_`[private]`

Number on up list.

Definition at line 144 of file CbcFollowOn.hpp.

int* CbcFixingBranchingObject::downList_`[private]`

downList - variables to fix to lb on down branch

Definition at line 146 of file CbcFollowOn.hpp.

int* CbcFixingBranchingObject::upList_`[private]`

upList - variables to fix to lb on up branch

Definition at line 148 of file CbcFollowOn.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.7.8/Cbc/src/CbcFollowOn.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines